Skip to main content
GET
/
api
/
v1
/
cancellation-requests
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/cancellation-requests \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "requestedBy": "<string>",
        "requestedAt": "2023-11-07T05:31:56Z",
        "reason": "<string>",
        "status": "Pending",
        "reviewedBy": "<string>",
        "reviewedAt": "2023-11-07T05:31:56Z",
        "reviewNote": "<string>",
        "voidErrorCode": "<string>",
        "voidErrorMessage": "<string>",
        "transaction": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amount": 123,
          "currency": "<string>",
          "status": "<string>",
          "created": "2023-11-07T05:31:56Z",
          "maskedCardNumber": "<string>",
          "connectorName": "<string>"
        }
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

Status
enum<integer>
Available options:
Pending,
Approved,
Rejected,
Failed
MerchantId
string<uuid>
TransactionId
string<uuid>
FromDate
string<date-time>
ToDate
string<date-time>
PageNumber
integer<int32>
PageSize
integer<int32>
IncludeInactive
boolean
SearchTerm
string

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object